%define api_version 1.2
%define base_version 3.0

%define camelmajor 33
%define camel_libname %mklibname camel %{camelmajor}

%define ebookmajor 13
%define ebook_libname %mklibname ebook %{ebookmajor}

%define ecalmajor 11
%define ecal_libname %mklibname ecal %{ecalmajor}

%define edatabookmajor 13
%define edatabook_libname %mklibname edata-book %{edatabookmajor}

%define edatacalmajor 15
%define edatacal_libname %mklibname edata-cal %{edatacalmajor}

%define edataservermajor 16
%define edataserver_libname %mklibname edataserver %{edataservermajor}
%define edataserver_libnamedev %mklibname -d edataserver

%define edataserveruimajor 1
%define edataserverui_libname %mklibname edataserverui %{edataserveruimajor}

%define egroupwisemajor 13
%define egroupwise_libname %mklibname egroupwise %{egroupwisemajor}

%define ebackendmajor 2
%define ebackend_libname %mklibname ebackend %{ebackendmajor}

%define gi_major 1.2
%define girname %mklibname %{name}-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		evolution-data-server
Summary:	Evolution Data Server
Version:	3.4.4
%define subrel	1
Release:	%mkrel 1
License: 	LGPLv2+
Group:		System/Libraries
Source0: 	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		evolution-data-server-3.6.4-CVE-2013-4166.patch
URL: 		http://www.gnome.org/projects/evolution/

### Build Dependencies ###

BuildRequires: bison
BuildRequires: db4-devel
BuildRequires: gettext
BuildRequires: gnome-common
BuildRequires: gperf
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: openldap-devel
BuildRequires: krb5-devel
BuildRequires:	pkgconfig(gio-2.0) >= 2.30
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.2
BuildRequires:	pkgconfig(gconf-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.30
BuildRequires:	pkgconfig(libxml-2.0) >= 2.0.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.31.2
BuildRequires:	pkgconfig(libgdata) >= 0.10.0
BuildRequires:	pkgconfig(goa-1.0) >= 3.1.1
BuildRequires:	pkgconfig(gnome-keyring-1) >= 2.20.1
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(gweather-3.0) >= 2.90.0
BuildRequires:	pkgconfig(sqlite3) >= 3.5
BuildRequires:	pkgconfig(libical) >= 0.43
BuildRequires:	pkgconfig(oauth) >= 0.9.4

%description
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{camel_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{camel_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebook_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{ebook_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ecal_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{ecal_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatabook_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{edatabook_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatacal_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{edatacal_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserver_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{edataserver_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserverui_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{edataserverui_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebackend_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{ebackend_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserver_libnamedev}
Summary:	Libraries and include files for using Evolution Data Server
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}
Requires: %camel_libname = %version
Requires: %ebook_libname = %version
Requires: %ecal_libname = %version
Requires: %edatabook_libname = %version
Requires: %edatacal_libname = %version
Requires: %edataserver_libname = %version
Requires: %edataserverui_libname = %version
Requires: %ebackend_libname = %version
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides: libedataserver-devel = %version-%release

%description -n %{edataserver_libnamedev}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{girname}
Summary:        GObject Introspection interface description for %name
Group:          System/Libraries

%description -n %{girname}
GObject Introspection interface description for %name.

%prep
%setup -q
%patch0 -p1 -b .CVE-2013-4166

%build

%configure2_5x --with-krb5=%{_prefix} --with-krb5-libs=%{_libdir} \
--with-libdb=%{_prefix} --disable-static \
--with-openldap=yes --with-static-ldap=no --enable-gtk-doc=yes 
#--enable-gnome-keyring=yes
%make

%install
%makeinstall_std

# remove libtool archives for importers and the like
find $RPM_BUILD_ROOT/%{_libdir} -name '*.la' -exec rm {} \;

# give the libraries some executable bits 
find $RPM_BUILD_ROOT -name '*.so.*' -exec chmod +x {} \;

%find_lang %{name}-3.4

%files -f %{name}-3.4.lang
%defattr(-, root, root)
%doc COPYING NEWS
%{_libexecdir}/%{name}
%{_libexecdir}/camel-index-control-%{api_version}
%{_libexecdir}/evolution-addressbook-factory
%{_libexecdir}/evolution-calendar-factory
%attr(2755,root,mail) %{_libexecdir}/camel-lock-helper-%{api_version}
%{_datadir}/%{name}-3.4
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.AddressBook.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.Calendar.service
%{_datadir}/GConf/gsettings/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/pixmaps/%{name}

%files -n %{camel_libname}
%defattr(-, root, root)
%{_libdir}/libcamel-%{api_version}.so.%{camelmajor}*

%files -n %{ebook_libname}
%defattr(-, root, root)
%{_libdir}/libebook-%{api_version}.so.%{ebookmajor}*

%files -n %{ecal_libname}
%defattr(-, root, root)
%{_libdir}/libecal-%{api_version}.so.%{ecalmajor}*

%files -n %{edatabook_libname}
%defattr(-, root, root)
%{_libdir}/libedata-book-%{api_version}.so.%{edatabookmajor}*

%files -n %{edatacal_libname}
%defattr(-, root, root)
%{_libdir}/libedata-cal-%{api_version}.so.%{edatacalmajor}*

%files -n %{edataserver_libname}
%defattr(-, root, root)
%{_libdir}/libedataserver-%{api_version}.so.%{edataservermajor}*

%files -n %{edataserverui_libname}
%defattr(-, root, root)
%{_libdir}/libedataserverui-%{base_version}.so.%{edataserveruimajor}*


%files -n %{girname}
%{_libdir}/girepository-1.0/EDataServer-%{gi_major}.typelib
%{_libdir}/girepository-1.0/ECalendar-%{gi_major}.typelib
%{_libdir}/girepository-1.0/EBook-%{gi_major}.typelib

%files -n %{ebackend_libname}
%defattr(-, root, root)
%{_libdir}/libebackend-%{api_version}.so.%{ebackendmajor}*

%files -n %{edataserver_libnamedev}
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/%{name}-3.4
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/EDataServer-%{gi_major}.gir
%{_datadir}/gir-1.0/ECalendar-%{gi_major}.gir
%{_datadir}/gir-1.0/EBook-%{gi_major}.gir


%changelog
* Fri Aug 02 2013 luigiwalser <luigiwalser> 3.4.4-1.1.mga2
+ Revision: 462734
- add patch from ubuntu to fix CVE-2013-4166

  + ovitters <ovitters>
    - new version 3.4.4
    - new version 3.4.3
    - remove all old obsoletes, to ease upgrade to mga3
    - new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226531
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224283
- new version 3.3.92
- clean spec

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 219690
- new version 3.3.91

* Mon Feb 20 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211170
- update file list
- new version 3.3.90

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205293
- new version 3.3.5

* Mon Jan 16 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 196952
- new version 3.3.4

* Tue Dec 20 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 184684
- new version 3.3.3

* Mon Nov 21 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 170239
- update libmajor
- new version 3.3.2

* Fri Oct 28 2011 wally <wally> 3.3.1.1-2.mga2
+ Revision: 159323
- rebuild to fix pkg names

* Fri Oct 28 2011 wally <wally> 3.3.1.1-1.mga2
+ Revision: 159263
- new version 3.3.1.1
- new majors

* Sun Oct 16 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155527
- new version 3.2.1

* Sun Sep 25 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 147601
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145433
- new version 3.1.92

* Fri Sep 16 2011 wally <wally> 3.1.91-2.mga2
+ Revision: 144300
- rebuild with new glib

* Sun Sep 04 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138363
- new version 3.1.91

* Mon Aug 29 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136107
- new version 3.1.90
- update file list
- new version 3.1.5
- update camel major
- update br
- new version 3.1.4

* Thu Jul 07 2011 dmorgan <dmorgan> 3.1.3-3.mga2
+ Revision: 119862
- Rebuild against new rpm-setup

* Wed Jul 06 2011 dmorgan <dmorgan> 3.1.3-2.mga2
+ Revision: 119091
- Fix file list
  Add gir package
- Fix libgdata minimum version
- add liboauth-devel as BuildRequires
- Enable goa

* Tue Jul 05 2011 dmorgan <dmorgan> 3.1.3-1.mga2
+ Revision: 118764
- Fix majors of edataserverui and camel
- New version 3.1.3

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.2-1.mga2
+ Revision: 118322
- Fix file lists
- Comment dead package
- Fix file lists
- Remove old/unused patch
- New version 3.1.2
- New version 3.1.2

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.2.1-1.mga2
+ Revision: 102084
- Sync buildrequires with fedora
- New version 3.0.2.1

* Fri Apr 15 2011 dams <dams> 2.32.2-1.mga1
+ Revision: 85578
- Update to 2.32.2

* Fri Mar 25 2011 dmorgan <dmorgan> 2.32.1-2.mga1
+ Revision: 77184
- Rebuild to fix broken requires(auto)

* Sun Jan 16 2011 pterjan <pterjan> 2.32.1-1.mga1
+ Revision: 20516
- Drop obsolete Obsoletes
- imported package evolution-data-server

